XSLDBG(1)

NAME
xsldbg - Uno strumento a linea di comando per il debug di script XSLT

SYNOPSIS

xsldbg [--shell] [--cd <PATH>] [--param <NAME>:<VALUE>] [--lang <LANG>] [--output <FILE>] [--version] [--verbose] [--timing] [--repeat] [--debug] [--valid] [--out] [--maxdepth val] [--html] [--docbook] [--net] [--catalogs] [--xinclude] [--profile] [--gdb] [--autoencode] [--utf8input] [--preferhtml] [--stdout] [--autorestart] [+XSLSource] [+XMLData]

DESCRIZIONE

xsldbg è uno strumento il cui scopo è aiutare a capire i fogli di stile. Ciò che lo rende diverso da altri debugger di fogli di stile è la capacità di ricerca per oggetti d'interesse e di seguire l'esecuzione dei fogli di stile.

xsldbg è uno strumento basato sul testo per il debug di fogli di stile (eXtensible Stylesheet Language) e ha comandi simili al debugger Unix/Linux gdb. Ha tre modalità principali di esecuzione di fogli di stile.

•   Esegue il foglio di stile completo

•   Passa alla prossima istruzione xsl

•   Continua fino al raggiungimento del prossimo punto d'interruzione, o riavvia il fogli di stile

OPZIONI
Opzioni applicazione

Nota: per disabilitare un'opzione aggiungi «no» prima del nome dell'opzione, eg «nonet»

Nota: le opzioni che sono segnate con un «*» sono predefinite

--shell
    Avvia una shell, una volta avviata usa il comando di aiuto di xsldbg per avere aiuto.

--cd <PATH>
    Percorso da trasformare prima di caricare i file. Vedi anche la documentazione del comando «cd»

--param <NAME>:<VALUE>
    Aggiunge un parametro chiamato <NAME> e un valore <VALUE> all'ambiente XSL. Vedi anche la documentazione del comando «addparam» Nota:A «=» può essere usato come nome, separatore di valore anziché «:»

--lang <LANG>
    Usa la codifica ISO 639 specifica per il linguaggio; per esempio en_US

--output <FILE>
    Salva in un dato file. Vedi anche la documentazione del comando di output

--version
    Mostra la versione usata di libxml e libxslt

--verbose
    Mostra i log di cosa sta accadendo

--timing
    Mostra il tempo usato

--repeat
    Esegue la trasformazione 20 volte, se --repeat è elencato due volte allora esegue la trasformazione 100 volte

--debug
    Riversa l'albero dei risultati se libxml ha tale supporto abilitato

--valid*
    Abilita la fase di caricamento del DTD, è abilitata in modo predefinito

--out*
    Abilita l'output del risultato, è abilitato in modo predefinito

--maxdepth val
    Aumenta la profondità massima

--html
    Il documento d'ingresso è (sono) file HTML se libxml ha tale supporto abilitato

--docbook
    Il documento in ingresso è un docbook SGML se libxml ha tale supporto abilitato

--net*
    Abilita il fetching del DTD sulle entita della rete, è abilitato in modo predefinito

--catalogs
    Usa i cataloghi da $SGML_CATALOG_FILES se libxml ha tale supporto abilitato

--xinclude*
    Abilita l'elaborazione XInclude sul documento d'ingresso se libxml ha tale supporto abilitato, è abilitato in modo predefinito

--profile
    Stampa informazioni del profilo

--gdb*
    Esegue in modalità compatibile GDB e stampa più informazioni, è abilitato in modo predefinito

--autoencode*
    Rileva e usa la codifica nel foglio di stile

--utf8input
    Tratta l'ingresso della linea di comando come codificato in UTF-8

--preferhtml
    Usa l'output HTML quando genera risultati di ricerca

--stdout
    Stampa tutti i messaggi di errore nello stdout, normalmente i messaggi di errore vanno nello stderr

--autorestart
    Abilita il riavvio automatico dell'esecuzione quando l'elaborazione corrente è completa

+XSLSource
    Script XSL da eseguire (opzionale)

+XMLData
    Dati XML da trasformare (opzionale se è specificato XSLSource)

AUTORI

xsldbg adesso è scritto e mantenuto da Keith Isdale<keith@kdewebdev.org>

AUTHOR
Keith Isdale.